Bug 255256 - devel/p5-File-chmod: Update to 0.42
Summary: devel/p5-File-chmod: Update to 0.42
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://metacpan.org/changes/distribu...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-20 12:12 UTC by Gian-Simon Purkert
Modified: 2021-07-18 04:30 UTC (History)
3 users (show)

See Also:


Attachments
Update to 0.42 (970 bytes, patch)
2021-04-20 12:12 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-04-20 12:12:46 UTC
Created attachment 224290 [details]
Update to 0.42
Comment 1 Gian-Simon Purkert 2021-06-07 10:54:03 UTC
Any News?
Comment 2 Guangyuan Yang freebsd_committer 2021-06-07 22:30:38 UTC
Maintainer timeout.
Comment 3 Gian-Simon Purkert 2021-06-11 10:37:58 UTC
If you have to reset the maintainer you can add me.
Comment 4 Guangyuan Yang freebsd_committer 2021-06-16 23:52:48 UTC
(In reply to Gian-Simon Purkert from comment #3)

Please update the diff with the new maintainership so I can proceed from here, thanks!
Comment 5 commit-hook freebsd_committer 2021-07-03 10:35:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=707989ed0f7c83660cfb8213641054207a3de529

commit 707989ed0f7c83660cfb8213641054207a3de529
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-07-03 10:30:37 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-03 10:30:37 +0000

    */*: Maintainer reset for smatsui@karashi.org

    Many consecutive timeouts.  We thank smatsui for all his efforts and
    hope to see him back in the future.

    PR:             255256
    PR:             255257
    PR:             255258 [1]
    Approved by:    maintainer timeout (smatsui@karashi.org, > 2 months), dbaio (mentor)
    Approved by:    portmgr (adamw) [1]
    Differential Revision:  https://reviews.freebsd.org/D30769 [1]

 devel/p5-File-chmod/Makefile                      | 2 +-
 net/pear-Net_UserAgent_Mobile/Makefile            | 2 +-
 shells/p5-Shell-Perl/Makefile                     | 2 +-
 textproc/p5-HTML-Entities-ImodePictogram/Makefile | 2 +-
 www/p5-HTML-Selector-XPath/Makefile               | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)
Comment 6 Guangyuan Yang freebsd_committer 2021-07-03 10:44:13 UTC
Port not updated yet.
Comment 7 Nuno Teixeira freebsd_committer 2021-07-03 10:55:34 UTC
(In reply to Guangyuan Yang from comment #6)
sorry! :)
Comment 8 Gian-Simon Purkert 2021-07-04 16:26:58 UTC
(In reply to Guangyuan Yang from comment #4)

Hi,

Since your a official ports committer i would say it's your obligation to change the maintainer in the patch and not mine.
Comment 9 Guangyuan Yang freebsd_committer 2021-07-06 20:08:30 UTC
(In reply to Gian-Simon Purkert from comment #8)

No, it is not. Submitters may propose whatever changes they want, and it is the committers' obligation to review and commit the changes. I was simply asking if you are interested, and surely I could change it for you - though I cannot just "assign" someone as a maintainer unless they propose so.

Also, if you no longer wish to maintain the port, I will gladly commit the patch as-is, just let me know. Thanks! :)
Comment 10 Gian-Simon Purkert 2021-07-08 09:26:19 UTC
(In reply to Guangyuan Yang from comment #9)

> though I cannot just "assign" someone as a maintainer unless they propose so

I already did right in this ticket:

Comment 3
Comment 11 commit-hook freebsd_committer 2021-07-18 04:27:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=59d6e1ee60b8a2c40dd3663b5af5ab5aa261c0a1

commit 59d6e1ee60b8a2c40dd3663b5af5ab5aa261c0a1
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-07-18 04:26:26 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-18 04:26:26 +0000

    devel/p5-File-chmod: Update to 0.42

    PR:             255256
    Approved by:    lwhsu (mentor, implicit)

 devel/p5-File-chmod/Makefile | 3 +--
 devel/p5-File-chmod/distinfo | 5 +++--
 2 files changed, 4 insertions(+), 4 deletions(-)